> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# List payments for a fundraising campaign

GET https://ssuccessv2.com/app/api/v1/fundraising/payment/campaign/{id}

Returns every payment whose pledge belongs to the requested fundraising campaign.

Reference: https://docs.schoolset.io/api-reference/school-set-api/fundraising-payments/get-fundraising-payment

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required) — Fundraising campaign ID

## Response

### 200

Campaign payment collection.

- `status` (string, optional)
- `message` (string, optional)
- `data` (list of ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Errors

### 401 Unauthorized Error

Unauthenticated or missing view-donation permission

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

## Types

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional)
- `batch_id` (integer, optional, nullable)
- `payer_id` (integer, optional, nullable)
- `payer_type` (string, optional, nullable)
- `payer` (ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsPayer, optional, nullable)
- `email` (string, optional, nullable)
- `fund` (ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsFund, optional, nullable)
- `fundraising` (ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsFundraising, optional, nullable)
- `payment_date` (datetime, optional)
- `days_until_scheduled` (integer, optional, nullable)
- `scheduled_due_status` (string, optional, nullable)
- `amount_payment` (double, optional)
- `currency` (string, optional)
- `method` (ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsMethod, optional, nullable)
- `type` (ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsType, optional, nullable)
- `status` (ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsStatus, optional, nullable)
- `allocations` (list of ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsAllocationsItems, optional)
- `payment_service_status_id` (integer, optional, nullable)
- `payment_source` (string, optional, nullable)
- `merchant_account_customer_info` (ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsMerchantAccountCustomerInfo, optional, nullable)
- `merchant_account_id` (integer, optional, nullable)
- `can_void_or_refund` (boolean, optional)
- `billing_info` (ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsBillingInfo, optional, nullable)
- `wallet_id` (integer, optional, nullable)
- `cc_not_save` (boolean, optional)
- `is_check_sent` (boolean, optional)
- `message` (string, optional, nullable)
- `note` (string, optional, nullable)
- `fee_actual` (double, optional, nullable)
- `created_at` (datetime, optional, nullable)
- `updated_at` (datetime, optional, nullable)
- `has_fundraising_pledge` (boolean, optional)
- `has_contract_fees` (boolean, optional)
- `has_confirm` (boolean, optional)
- `has_care` (boolean, optional)

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsPayer

- `id` (integer, optional)
- `name` (string, optional)

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsFund

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsFundraising

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsMethod

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsType

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsStatus

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsAllocationsItems

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsMerchantAccountCustomerInfo

### ApiV1FundraisingPaymentCampaignIdGetResponsesContentApplicationJsonSchemaDataItemsBillingInfo

## Examples

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": [
    {
      "id": 501,
      "batch_id": 7,
      "payer_id": 44,
      "payer_type": "donor",
      "payer": {
        "id": 44,
        "name": "Jamie Rivera"
      },
      "email": "jamie.rivera@example.com",
      "fund": {
        "id": 12,
        "name": "Annual Fund"
      },
      "fundraising": {
        "id": 31,
        "campaign_name": "STEM 2026"
      },
      "payment_date": {},
      "days_until_scheduled": 0,
      "scheduled_due_status": "paid",
      "amount_payment": 250,
      "currency": "USD",
      "method": {},
      "type": {},
      "status": {},
      "allocations": [
        {}
      ],
      "payment_service_status_id": 1,
      "payment_source": "schoolset",
      "merchant_account_customer_info": {},
      "merchant_account_id": 9,
      "can_void_or_refund": true,
      "billing_info": {},
      "wallet_id": 22,
      "cc_not_save": true,
      "is_check_sent": false,
      "message": "string",
      "note": "string",
      "fee_actual": 7.25,
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "has_fundraising_pledge": true,
      "has_contract_fees": false,
      "has_confirm": true,
      "has_care": false
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/fundraising/payment/campaign/31"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/fundraising/payment/campaign/31';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/fundraising/payment/campaign/31"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/fundraising/payment/campaign/31")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://ssuccessv2.com/app/api/v1/fundraising/payment/campaign/31")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://ssuccessv2.com/app/api/v1/fundraising/payment/campaign/31', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/fundraising/payment/campaign/31");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/fundraising/payment/campaign/31")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```